POST api/departmentapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DepartmentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| name | string |
None. |
|
| remark | string |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"contract_id": "2d19f841-8393-487f-8a94-07f4c9a46ad0",
"delay_between_scans": 1,
"id": "702f6c73-f05b-4857-af43-509bfea398b1",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "3116b1df-1c61-4c3d-a649-fe6c0fb78378",
"selected_sticker_id": "fac1dbee-a24b-4b1b-ba60-56a3f20a20a0"
}
application/xml, text/xml
Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <contract_id>2d19f841-8393-487f-8a94-07f4c9a46ad0</contract_id> <delay_between_scans>1</delay_between_scans> <id>702f6c73-f05b-4857-af43-509bfea398b1</id> <item_wash_max>1</item_wash_max> <name>sample string 5</name> <remark>sample string 6</remark> <selected_nameplate_id>3116b1df-1c61-4c3d-a649-fe6c0fb78378</selected_nameplate_id> <selected_sticker_id>fac1dbee-a24b-4b1b-ba60-56a3f20a20a0</selected_sticker_id> </department>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"fb8eb766-d615-4ddb-be1c-c68c4eb2fa29"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">fb8eb766-d615-4ddb-be1c-c68c4eb2fa29</guid>